AWSTATS(1)

NAME
awstats - a free web server logfile analyzer to show you advanced web statistics

SYNOPSIS
awstats -config virtualhostname [ options ]

DESCRIPTION
This runs awstats in command line to update statistics (-update option) of a web site, from the log file defined in AWStats config file, or build a HTML report (-output option). First, awstats tries to read awstats.virtualhostname.conf as the config file. If not found, awstats tries to read awstats.conf, and finally the full path passed to -config option.

Config files (awstats.virtualhostname.conf or awstats.conf) must be in /etc/awstats, /usr/local/etc/awstats or /etc.

OPTIONS
A summary of options is included below.

-update
    to update statistics (default)

-output
    to output main HTML report (no update made except with -update)

-h  Display usage information.

ENVIRONMENT VARIABLES
AWStats checks environment variable AWSTATS_FORCE_CONFIG; if defined, AWStats will use it as the "config" value, whatever is the value on command line.

SEE ALSO
For more complete description of AWStats on the Debian system, look here: /usr/share/doc/awstats/

AUTHOR
AWStats was written by Laurent Destailleur <eldy@users.sourceforge.net>.

This manual page was written by Sergey B Kirpichev <skirpichev@gmail.com>, for the Debian project (but may be used by others).